### File

`packages/ecl/components/ecl-modal/ecl-modal-footer.component.ts`

### Description

Footer component used within the ECL Modal.

Automatically applies styling to buttons projected into the footer.

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit`

### Metadata

selector | `[eclModalFooter]`
templateUrl | `./ecl-modal-footer.component.html`

### Index

###### Properties
buttonComponents
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Applies the ECL CSS class for modal footer container.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

buttonComponents
Type : `unknown`
Default value : `contentChildren(forwardRef(() => EclButtonComponent), { descendants: true })`
Queries all button components projected into the footer.

### Accessors

cssClasses
get `cssClasses()`
Applies the ECL CSS class for modal footer container. Returns : `string`

# results matching ""

# No results matching ""